<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper   PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="kr.co.jinwoosi.clfd.clfd.dgns.mapper.DgnsDtlMapper">
    <select id="select" parameterType="dgnsDtlSearch" resultType="dgnsDtl">
        SELECT *
        FROM CF_DGNS_DTL
        WHERE 1=1
        <if test="!empty(dgnsDtlId)"> AND DGNS_DTL_ID = #{dgnsDtlId}</if>
    </select>
    <select id="selectList" parameterType="dgnsDtlSearch" resultType="dgnsDtl">
        SELECT *
        FROM CF_DGNS_DTL
        WHERE 1=1
        <if test="!empty(dgnsDtlId)"> AND DGNS_DTL_ID = #{dgnsDtlId}</if>
        <if test="!empty(dgnsTyCd)"> AND DGNS_TY_CD = #{dgnsTyCd}</if>
    </select>
</mapper>
